=== modified file 'elsie.nci.nih.gov/src/Makefile'
--- elsie.nci.nih.gov/src/Makefile	2007-12-04 04:21:08 +0000
+++ elsie.nci.nih.gov/src/Makefile	2008-01-01 00:57:49 +0000
@@ -1,4 +1,4 @@
-# @(#)Makefile	8.5
+# @(#)Makefile	8.6
 
 # Change the line below for your time zone (after finding the zone you want in
 # the time zone files, or adding it to a time zone file).
@@ -95,7 +95,6 @@
 #  -DHAVE_SETTIMEOFDAY=2 if settimeofday uses 2nd arg (4.3BSD)
 #  -DHAVE_SETTIMEOFDAY=3 if settimeofday ignores 2nd arg (4.4BSD)
 #  -DHAVE_STDINT_H=1 if you have a pre-C99 compiler with "stdint.h"
-#  -DHAVE_STRERROR=0 if your system lacks the strerror function
 #  -DHAVE_SYMLINK=0 if your system lacks the symlink function
 #  -DHAVE_SYS_STAT_H=0 if your compiler lacks a "sys/stat.h"
 #  -DHAVE_SYS_WAIT_H=0 if your compiler lacks a "sys/wait.h"

=== modified file 'elsie.nci.nih.gov/src/backward'
--- elsie.nci.nih.gov/src/backward	2007-03-03 07:14:50 +0000
+++ elsie.nci.nih.gov/src/backward	2008-01-01 00:57:49 +0000
@@ -1,4 +1,4 @@
-# @(#)backward	8.3
+# @(#)backward	8.4
 
 # This file provides links between current names for time zones
 # and their old names.  Many names changed in late 1993.
@@ -30,6 +30,7 @@
 Link	Asia/Makassar		Asia/Ujung_Pandang
 Link	Asia/Ulaanbaatar	Asia/Ulan_Bator
 Link	Atlantic/Faroe		Atlantic/Faeroe
+Link	Europe/Oslo		Atlantic/Jan_Mayen
 Link	Australia/Sydney	Australia/ACT
 Link	Australia/Sydney	Australia/Canberra
 Link	Australia/Lord_Howe	Australia/LHI

=== modified file 'elsie.nci.nih.gov/src/europe'
--- elsie.nci.nih.gov/src/europe	2007-12-03 06:59:22 +0000
+++ elsie.nci.nih.gov/src/europe	2008-01-01 00:57:49 +0000
@@ -1,4 +1,4 @@
-# @(#)europe	8.11
+# @(#)europe	8.12
 # <pre>
 
 # This data is by no means authoritative; if you think you know better,
@@ -1714,7 +1714,6 @@
 # come up with more definitive info about the timekeeping during the
 # war years it's probably best just do do the following for now:
 Link	Europe/Oslo	Arctic/Longyearbyen
-Link	Europe/Oslo	Atlantic/Jan_Mayen
 
 # Poland
 # Rule	NAME	FROM	TO	TYPE	IN	ON	AT	SAVE	LETTER/S

=== modified file 'elsie.nci.nih.gov/src/newctime.3'
--- elsie.nci.nih.gov/src/newctime.3	2006-05-06 04:40:46 +0000
+++ elsie.nci.nih.gov/src/newctime.3	2008-01-01 00:57:49 +0000
@@ -115,7 +115,9 @@
 causes the
 .I mktime
 function to attempt to divine whether summer time is in effect
-for the specified time.)
+for the specified time; in this case it does not use a consistent
+rule and may give a different answer when later
+presented with the same argument.)
 On successful completion, the values of the
 .B tm_wday
 and
@@ -234,4 +236,4 @@
 Avoid using out-of-range values with
 .I mktime
 when setting up lunch with promptness sticklers in Riyadh.
-.\" @(#)newctime.3	8.1
+.\" @(#)newctime.3	8.2

=== modified file 'elsie.nci.nih.gov/src/newctime.3.txt'
--- elsie.nci.nih.gov/src/newctime.3.txt	2005-05-10 20:59:14 +0000
+++ elsie.nci.nih.gov/src/newctime.3.txt	2008-01-01 00:57:49 +0000
@@ -73,14 +73,16 @@
      respectively, is or is not in effect for the specified time.
      A negative value for tm_isdst causes the mktime function to
      attempt to divine whether summer time is in effect for the
-     specified time.)  On successful completion, the values of
-     the tm_wday and tm_yday components of the structure are set
-     appropriately, and the other components are set to represent
-     the specified calendar time, but with their values forced to
-     their normal ranges; the final value of tm_mday is not set
-     until tm_mon and tm_year are determined.  Mktime returns the
-     specified calendar time; If the calendar time cannot be
-     represented, it returns -1.
+     specified time; in this case it does not use a consistent
+     rule and may give a different answer when later presented
+     with the same argument.)  On successful completion, the
+     values of the tm_wday and tm_yday components of the
+     structure are set appropriately, and the other components
+     are set to represent the specified calendar time, but with
+     their values forced to their normal ranges; the final value
+     of tm_mday is not set until tm_mon and tm_year are
+     determined.  Mktime returns the specified calendar time; If
+     the calendar time cannot be represented, it returns -1.
 
      Difftime returns the difference between two calendar times,
      (time1 - time0), expressed in seconds.

=== modified file 'elsie.nci.nih.gov/src/private.h'
--- elsie.nci.nih.gov/src/private.h	2007-12-04 04:21:08 +0000
+++ elsie.nci.nih.gov/src/private.h	2008-01-01 00:57:49 +0000
@@ -21,7 +21,7 @@
 
 #ifndef lint
 #ifndef NOID
-static char	privatehid[] = "@(#)private.h	8.5";
+static char	privatehid[] = "@(#)private.h	8.6";
 #endif /* !defined NOID */
 #endif /* !defined lint */
 
@@ -48,10 +48,6 @@
 #define HAVE_SETTIMEOFDAY	3
 #endif /* !defined HAVE_SETTIMEOFDAY */
 
-#ifndef HAVE_STRERROR
-#define HAVE_STRERROR		1
-#endif /* !defined HAVE_STRERROR */
-
 #ifndef HAVE_SYMLINK
 #define HAVE_SYMLINK		1
 #endif /* !defined HAVE_SYMLINK */

=== modified file 'elsie.nci.nih.gov/src/southamerica'
--- elsie.nci.nih.gov/src/southamerica	2007-12-04 04:21:08 +0000
+++ elsie.nci.nih.gov/src/southamerica	2008-01-01 00:57:49 +0000
@@ -1,4 +1,4 @@
-# @(#)southamerica	8.13
+# @(#)southamerica	8.15
 # <pre>
 
 # This data is by no means authoritative; if you think you know better,
@@ -105,7 +105,11 @@
 # which did not result in the switch of a time zone, as they stayed 9 hours
 # from the International Date Line.
 Rule	Arg	1999	only	-	Oct	Sun>=1	0:00	1:00	S
-Rule	Arg	2000	only	-	Mar	Sun>=1	0:00	0	-
+# From Paul Eggert (2007-12-28):
+# DST was set to expire on March 5, not March 3, but since it was converted
+# to standard time on March 3 it's more convenient for us to pretend that
+# it ended on March 3.
+Rule	Arg	2000	only	-	Mar	3	0:00	0	-
 #
 # From Peter Gradelski via Steffen Thorsen (2000-03-01):
 # We just checked with our Sao Paulo office and they say the government of
@@ -140,6 +144,30 @@
 # This kind of things had always been done this way in Argentina.
 # We are still -03:00 all year round in all of the country.
 #
+# From Steffen Thorsen (2007-12-21):
+# A user (Leonardo Chaim) reported that Argentina will adopt DST....
+# all of the country (all Zone-entries) are affected.  News reports like
+# http://www.lanacion.com.ar/opinion/nota.asp?nota_id=973037 indicate
+# that Argentina will use DST next year as well, from October to
+# March, although exact rules are not given.
+#
+# From Jesper Norgaard Welen (2007-12-26)
+# The last hurdle of Argentina DST is over, the proposal was approved in
+# the lower chamber too (Deputados) with a vote 192 for and 2 against.
+# By the way thanks to Mariano Absatz and Daniel Mario Vega for the link to
+# the original scanned proposal, where the dates and the zero hours are
+# clear and unambiguous...This is the article about final approval:
+# <a href="http://www.lanacion.com.ar/politica/nota.asp?nota_id=973996">
+# http://www.lanacion.com.ar/politica/nota.asp?nota_id=973996
+# </a>
+#
+# From Paul Eggert (2007-12-22):
+# For dates after mid-2008, the following rules are my guesses and
+# are quite possibly wrong, but are more likely than no DST at all.
+Rule	Arg	2007	only	-	Dec	30	0:00	1:00	S
+Rule	Arg	2008	max	-	Mar	Sun>=15	0:00	0	-
+Rule	Arg	2008	max	-	Oct	Sun>=1	0:00	1:00	S
+ 
 # From Mariano Absatz (2004-05-21):
 # Today it was officially published that the Province of Mendoza is changing
 # its timezone this winter... starting tomorrow night....
@@ -214,7 +242,7 @@
 			-4:00	Arg	AR%sT	1969 Oct  5
 			-3:00	Arg	AR%sT	1999 Oct  3
 			-4:00	Arg	AR%sT	2000 Mar  3
-			-3:00	-	ART
+			-3:00	Arg	AR%sT
 #
 # Santa Fe (SF), Entre Rios (ER), Corrientes (CN), Misiones (MN), Chaco (CC),
 # Formosa (FM), Salta (SA), Santiago del Estero (SE), Cordoba (CB),
@@ -237,7 +265,7 @@
 			-4:00	-	WART	1991 Oct 20
 			-3:00	Arg	AR%sT	1999 Oct  3
 			-4:00	Arg	AR%sT	2000 Mar  3
-			-3:00	-	ART
+			-3:00	Arg	AR%sT
 #
 # Tucuman (TM)
 Zone America/Argentina/Tucuman -4:20:52 - LMT	1894 Oct 31
@@ -250,7 +278,7 @@
 			-4:00	Arg	AR%sT	2000 Mar  3
 			-3:00	-	ART	2004 Jun  1
 			-4:00	-	WART	2004 Jun 13
-			-3:00	-	ART
+			-3:00	Arg	AR%sT
 #
 # La Rioja (LR)
 Zone America/Argentina/La_Rioja -4:27:24 - LMT	1894 Oct 31
@@ -263,7 +291,7 @@
 			-4:00	Arg	AR%sT	2000 Mar  3
 			-3:00	-	ART	2004 Jun  1
 			-4:00	-	WART	2004 Jun 20
-			-3:00	-	ART
+			-3:00	Arg	AR%sT
 #
 # San Juan (SJ)
 Zone America/Argentina/San_Juan -4:34:04 - LMT	1894 Oct 31
@@ -276,7 +304,7 @@
 			-4:00	Arg	AR%sT	2000 Mar  3
 			-3:00	-	ART	2004 May 31
 			-4:00	-	WART	2004 Jul 25
-			-3:00	-	ART
+			-3:00	Arg	AR%sT
 #
 # Jujuy (JY)
 Zone America/Argentina/Jujuy -4:21:12 -	LMT	1894 Oct 31
@@ -290,7 +318,7 @@
 			-3:00	1:00	ARST	1992
 			-3:00	Arg	AR%sT	1999 Oct  3
 			-4:00	Arg	AR%sT	2000 Mar  3
-			-3:00	-	ART
+			-3:00	Arg	AR%sT
 #
 # Catamarca (CT), Chubut (CH)
 Zone America/Argentina/Catamarca -4:23:08 - LMT	1894 Oct 31
@@ -303,7 +331,7 @@
 			-4:00	Arg	AR%sT	2000 Mar  3
 			-3:00	-	ART	2004 Jun  1
 			-4:00	-	WART	2004 Jun 20
-			-3:00	-	ART
+			-3:00	Arg	AR%sT
 #
 # Mendoza (MZ)
 Zone America/Argentina/Mendoza -4:35:16 - LMT	1894 Oct 31
@@ -320,7 +348,7 @@
 			-4:00	Arg	AR%sT	2000 Mar  3
 			-3:00	-	ART	2004 May 23
 			-4:00	-	WART	2004 Sep 26
-			-3:00	-	ART
+			-3:00	Arg	AR%sT
 #
 # Santa Cruz (SC)
 Zone America/Argentina/Rio_Gallegos -4:36:52 - LMT 1894 Oct 31
@@ -331,7 +359,7 @@
 			-4:00	Arg	AR%sT	2000 Mar  3
 			-3:00	-	ART	2004 Jun  1
 			-4:00	-	WART	2004 Jun 20
-			-3:00	-	ART
+			-3:00	Arg	AR%sT
 #
 # Tierra del Fuego, Antartida e Islas del Atlantico Sur (TF)
 Zone America/Argentina/Ushuaia -4:33:12 - LMT 1894 Oct 31
@@ -342,7 +370,7 @@
 			-4:00	Arg	AR%sT	2000 Mar  3
 			-3:00	-	ART	2004 May 30
 			-4:00	-	WART	2004 Jun 20
-			-3:00	-	ART
+			-3:00	Arg	AR%sT
 
 # Aruba
 # Zone	NAME		GMTOFF	RULES	FORMAT	[UNTIL]

=== modified file 'elsie.nci.nih.gov/src/tz-art.htm'
--- elsie.nci.nih.gov/src/tz-art.htm	2007-12-03 06:59:22 +0000
+++ elsie.nci.nih.gov/src/tz-art.htm	2008-01-01 00:57:49 +0000
@@ -9,7 +9,7 @@
 <body>
 <h1>Time and the Arts</h1>
 <address>
-@(#)tz-art.htm	8.8
+@(#)tz-art.htm	8.9
 </address>
 <p>
 Please send corrections to this web page to the
@@ -365,7 +365,7 @@
 </li>
 <li>
 A private jet's mid-flight change of time zones distorts Alison Dubois'
-premonition in the "We Had a Dream" episoed of "Medium"
+premonition in the "We Had a Dream" episode of "Medium"
 (originally aired 2007-02-28).
 </li>
 <li>

=== modified file 'elsie.nci.nih.gov/src/tz-link.htm'
--- elsie.nci.nih.gov/src/tz-link.htm	2007-12-04 04:21:08 +0000
+++ elsie.nci.nih.gov/src/tz-link.htm	2008-01-01 00:57:49 +0000
@@ -8,7 +8,7 @@
 <meta http-equiv="Content-type" content='text/html; charset="US-ASCII"'>
 <meta name="DC.Creator" content="Eggert, Paul">
 <meta name="DC.Contributor" content="Olson, Arthur David">
-<meta name="DC.Date" content="2007-11-29">
+<meta name="DC.Date" content="2007-12-26">
 <meta name="DC.Description"
  content="Sources of information about time zones and daylight saving time">
 <meta name="DC.Identifier" content="http://www.twinsun.com/tz/tz-link.htm">
@@ -18,7 +18,7 @@
 <body>
 <h1>Sources for Time Zone and Daylight Saving Time Data</h1>
 <address>
-@(#)tz-link.htm	8.14
+@(#)tz-link.htm	8.15
 </address>
 <p>
 Please send corrections to this web page to the
@@ -45,18 +45,18 @@
 C Library</a> used in
 <a href="http://www.linux.org/"><abbr>GNU</abbr>/Linux</a>,
 <a href="http://www.freebsd.org/">FreeBSD</a>,
-<a href="http://www.netbsd.org/">NetBSD</a>,
-<a href="http://www.openbsd.org/">OpenBSD</a>,
-<a href="http://www.cygwin.com/">Cygwin</a>,
+<a href="http://netbsd.org/">NetBSD</a>,
+<a href="http://openbsd.org/">OpenBSD</a>,
+<a href="http://cygwin.com/">Cygwin</a>,
 <a href="http://www.delorie.com/djgpp/"><abbr
 title="DJ's GNU Programming Platform">DJGPP</abbr></a>,
-<a href="http://www.ibm.com/servers/aix/">AIX</a>,
+<a href="http://ibm.com/aix">AIX</a>,
 <a href="http://www.apple.com/macosx/">Mac OS X</a>,
 <a href="http://h71000.www7.hp.com/">OpenVMS</a>,
-<a href="http://www.oracle.com/database/index.html">Oracle Database</a>,
-<a href="http://www.sun.com/software/solaris/">Solaris</a>,
+<a href="http://oracle.com/database">Oracle Database</a>,
+<a href="http://sun.com/software/solaris">Solaris</a>,
 <a href="http://h30097.www3.hp.com/">Tru64</a>, and
-<a href="http://www.sco.com/products/unixware/">UnixWare</a>.</p>
+<a href="http://sco.com/products/unixware">UnixWare</a>.</p>
 <p>
 Each location in the database represents a national region where all
 clocks keeping local time have agreed since 1970.
@@ -79,13 +79,14 @@
 the location's full name, e.g., <code>TZ="America/New_York"</code>.</p>
 <p>
 In the <code>tz</code> database's
-<a href="ftp://elsie.nci.nih.gov/pub/"><abbr
+<a href="ftp://elsie.nci.nih.gov/pub"><abbr
 title="File Transfer Protocol">FTP</abbr> distribution</a>
 the code is in the file <code>tzcode<var>C</var>.tar.gz</code>,
 where <code><var>C</var></code> is the code's version;
 similarly, the data are in <code>tzdata<var>D</var>.tar.gz</code>,
 where <code><var>D</var></code> is the data's version.
-The following shell commands download
+The following <a
+href="http://en.wikipedia.org/wiki/Unix_shell">shell</a> commands download
 these files to a <abbr>GNU</abbr>/Linux or similar host;
 see the downloaded
 <code>README</code> file for what to do next.</p>
@@ -102,15 +103,15 @@
 The data are by no means authoritative. If you find errors, please
 send changes to the <a href="mailto:tz@elsie.nci.nih.gov">time zone
 mailing list</a>. You can also <a
-href="http://news.gmane.org/gmane.comp.time.tz/">browse recent
+href="http://news.gmane.org/gmane.comp.time.tz">browse recent
 messages</a> sent to the mailing list, <a
 href="mailto:tz-request@elsie.nci.nih.gov">subscribe</a> to it,
 retrieve the <a
 href="ftp://elsie.nci.nih.gov/pub/tzarchive.gz">full archive of old
 messages</a> (in gzip compressed format), or retrieve <a
-href="ftp://munnari.oz.au/pub/oldtz/">archived older versions of code
+href="ftp://munnari.oz.au/pub/oldtz">archived older versions of code
 and data</a>; there is also a smaller <a
-href="http://public.planetmirror.com/pub/timezone/"><abbr
+href="http://public.planetmirror.com/pub/timezone"><abbr
 title="Hypertext Transfer Protocol">HTTP</abbr>
 mirror</a>.</p>
 <p>
@@ -118,45 +119,47 @@
 Here are some recent links that may be of interest.
 </p>
 <h2>Web pages using recent versions of the <code>tz</code> database</h2>
+<p>
+These are listed roughly in ascending order of complexity and fanciness.
+</p>
 <ul>
 <li><a href="http://twiki.org/cgi-bin/xtra/tzdatepick.html">Date and Time Gateway</a>
-is a text-based point-and-click interface to tables of current time
-throughout the world.</li>
-<li>Fancier web interfaces, roughly in ascending order of complexity, include:
-<ul>
+lets you see the <code>TZ</code> values directly.</li>
 <li><a
-href="http://www.convertit.com/Go/ConvertIt/World_Time/Current_Time.ASP">Current
-Time in 1000 Places</a></li>
-<li><a href="http://timezoneconverter.com/">Time Zone Converter</a></li>
+href="http://convertit.com/Go/ConvertIt/World_Time/Current_Time.ASP">Current
+Time in 1000 Places</a> uses descriptions of the values.</li>
+<li><a href="http://www.timezoneconverter.com/">Time Zone Converter</a>
+uses a pulldown menu.</li>
 <li><a href="http://home.tiscali.nl/~t876506/TZworld.html">Complete
-timezone information for all countries</a></li>
-</ul></li>
-<li><a href="http://www.timeanddate.com/worldclock/">The World Clock -
-Time Zones</a>
-is a web interface to a time zone database derived from
-<code>tz</code>'s.</li>
+timezone information for all countries</a> displays tables of DST rules.
+<li><a href="http://timeanddate.com/worldclock/">The World Clock -
+Time Zones</a> lets you sort zone names and convert times.</li>
+<li>The <a href="http://worldtimeengine.com/">World Time Engine</a>
+also contains data about time zone boundaries; it supports queries via place
+names and shows location maps.</li>
 </ul>
 <h2>Other time zone database formats</h2>
 <ul>
 <li>The <a href="ftp://ftp.rfc-editor.org/in-notes/rfc2445.txt">
 Internet Calendaring and Scheduling Core Object Specification
-(iCalendar)</a> specification published by the (now-concluded) <a
-href="http://www.ietf.org/html.charters/OLD/calsch-charter.html"><abbr
+(iCalendar)</a>, Internet <abbr title="Request For
+Comments">RFC</abbr> 2445, published by the (now-concluded) <a
+href="http://ietf.org/html.charters/OLD/calsch-charter.html"><abbr
 title="Internet Engineering Task Force">IETF</abbr>
 Calendaring and Scheduling Working Group (<abbr
 title="Calendaring and Scheduling Working Group">calsch</abbr>)</a>
 covers time zone
 data; see its VTIMEZONE calendar component.
-The <a href="http://www.calconnect.org/">Calendaring and Scheduling
+The <a href="http://calconnect.org/">Calendaring and Scheduling
 Consortium</a> is promoting further work in this area. <a
-href="http://www.calconnect.org/publications/icalendartimezoneproblemsandrecommendationsv1.0.pdf">iCalendar
+href="http://calconnect.org/publications/icalendartimezoneproblemsandrecommendationsv1.0.pdf">iCalendar
 TIMEZONE Problems and Recommendations</a> offers guidelines and
 recommendations for the use of VTIMEZONE and <code>tz</code>.</li>
-<li><a href="http://www.calconnect.org/dstlinks.shtml">Extended Daylight
+<li><a href="http://calconnect.org/dstlinks.shtml">Extended Daylight
 Saving Time Links, Advisories and Changes</a> lists vendor material on recent
 daylight saving time changes.</li>
 <li><a
-href="http://www.calconnect.org/publications/timezoneregistryandservicerecommendationsv1.0.pdf">Timezone
+href="http://calconnect.org/publications/timezoneregistryandservicerecommendationsv1.0.pdf">Timezone
 Registry and Service Recommendations</a> discusses a
 strategy for defining and deploying a time zone
 registration process that would establish unique names for each
@@ -185,9 +188,9 @@
 href="http://www.gnu.org/copyleft/gpl.html"><abbr>GNU</abbr>
 General Public License (<abbr
 title="General Public License">GPL</abbr>)</a>.</li>
-<li><a href="http://sourceforge.net/projects/tzical/">tziCal - tz
+<li><a href="http://sourceforge.net/projects/tzical">tziCal - tz
 database conversion utility</a> is like Vzic, except for the <a
-href="http://msdn.microsoft.com/netframework/">.NET framework</a>.</li>
+href="http://msdn.microsoft.com/netframework">.NET framework</a>.</li>
 <li><a
 href="http://search.cpan.org/dist/DateTime-TimeZone/">DateTime::TimeZone</a>
 contains a script <code>parse_olson</code> that compiles
@@ -212,23 +215,23 @@
 <code>org.joda.time.tz.ZoneInfoCompiler</code> that compiles
 <code>tz</code> source into a Joda-specific binary format. Joda Time
 is freely available under a <abbr>BSD</abbr>-style license.</li>
-<li><a href="http://sourceforge.net/projects/pytz/">PyTZ - Python Time
+<li><a href="http://sourceforge.net/projects/pytz">PyTZ - Python Time
 Zone Library</a> compiles <code>tz</code> source into
-<a href="http://www.python.org/">Python</a>.
+<a href="http://python.org/">Python</a>.
 It is freely available under a <abbr>BSD</abbr>-style license.</li>
 <li><a href="http://tzinfo.rubyforge.org/">TZInfo - Ruby Timezone Library</a>
 compiles <code>tz</code> source into
-<a href="http://www.ruby-lang.org/">Ruby</a>.
+<a href="http://ruby-lang.org">Ruby</a>.
 It is freely available under the <abbr
 title="Massachusetts Institute of Technology">MIT</abbr> license.</li>
-<li>The <a href="http://www.chronos-st.org/">Chronos Date/Time
-Library</a> is a <a href="http://smalltalk.org/">Smalltalk</a> class
+<li>The <a href="http://chronos-st.org/">Chronos Date/Time
+Library</a> is a <a href="http://smalltalk.org">Smalltalk</a> class
 library that compiles <code>tz</code> source into a <a
 href="http://date-time-zone.com/">time zone repository</a> whose format
 is either proprietary or an <a href="http://www.w3.org/XML/"><abbr
 title="Extensible Markup Language">XML</abbr></a>-encoded
 representation.</li>
-<li>Starting with version 8.5, <a href="http://www.tcl.tk/">Tcl</a>
+<li>Starting with version 8.5, <a href="http://tcl.tk/">Tcl</a>
 contains a developer-oriented parser that compiles <samp>tz</samp>
 source into text files, along with a runtime that can read those
 files. Tcl is freely available under a <abbr>BSD</abbr>-style
@@ -246,7 +249,7 @@
 <abbr>GNU</abbr> Lesser General Public License
 (<abbr title="Lesser General Public License">LGPL</abbr>)</a>,
 and is widely used in <abbr>GNU</abbr>/Linux systems.</li>
-<li><a href="http://www.bmsi.com/java/#TZ">ZoneInfo.java</a>
+<li><a href="http://bmsi.com/java/#TZ">ZoneInfo.java</a>
 is a <code>tz</code> binary file reader written in Java.
 It is freely available under the <abbr>LGPL</abbr>.</li>
 <li>Tcl, mentioned above, also contains a
@@ -254,12 +257,12 @@
 </ul>
 <h2>Other <code>tz</code>-based time zone software</h2>
 <ul>
-<li><a href="http://www.stemhaus.com/firefox/foxclocks/">FoxClocks</a>
+<li><a href="http://stemhaus.com/firefox/foxclocks/">FoxClocks</a>
 is an extension for <a
 href="http://developer.mozilla.org/en/docs/Toolkit_API">Mozilla
 Toolkit</a> applications like <a
-href="http://www.mozilla.com/firefox/">Firefox</a>, <a
-href="http://www.mozilla.com/en-US/thunderbird/">Thunderbird</a>, and
+href="http://mozilla.com/firefox">Firefox</a>, <a
+href="http://mozilla.com/thunderbird">Thunderbird</a>, and
 <a
 href="http://www.mozilla.org/projects/calendar/sunbird/">Sunbird</a>.
 It displays multiple clocks in the application window, and has a mapping
@@ -270,7 +273,7 @@
 clock (intclock)</a> is a multi-timezone clock for
 <abbr>GNU</abbr>/Linux and similar systems. It is freely available
 under the <abbr>GPL</abbr>.</li>
-<li><a href="http://www.codeplex.com/publicdomain">PublicDomain</a>
+<li><a href="http://codeplex.com/publicdomain">PublicDomain</a>
 has a copy of a recent <code>tz</code> database, accessed via a <a
 href="http://en.wikipedia.org/wiki/C_Sharp">C#</a> library. As its
 name suggests, it is in the public domain. Only current time stamps
@@ -283,12 +286,12 @@
 a <a href="http://wordpress.org/">WordPress</a> plugin. It is freely
 available under a <abbr>BSD</abbr>-style license.</li>
 <li><a
-href="http://www.veladg.com/velaterra.html">VelaTerra</a> is
+href="http://veladg.com/velaterra.html">VelaTerra</a> is
 a Mac OS X program. Its developers
-<a href="http://www.veladg.com/tzoffer.html">offer free
+<a href="http://veladg.com/tzoffer.html">offer free
 licenses</a> to <code>tz</code> contributors.</li>
 <li><a
-href="http://www.worldtimeexplorer.com/index.html">World Time Explorer</a> is a
+href="http://worldtimeexplorer.com/">World Time Explorer</a> is a
 Microsoft Windows program.</li>
 </ul>
 <h2>Other time zone databases</h2>
@@ -307,15 +310,15 @@
 time info, public holidays</a>
 contains information on local time, sunrise and sunset,
 and public holidays in several hundred cities around the world.</li>
-<li><a href="http://www.worldtimeserver.com/">World Time Server</a>
+<li><a href="http://worldtimeserver.com/">World Time Server</a>
 is another time zone database.</li>
 <li><a href="http://tycho.usno.navy.mil/tzones.html">World Time Zones</a>
 contains data from the Time Service Department of the
 <abbr>US</abbr> Naval Observatory, used as the source
 for the <code>usno*</code> files in the <code>tz</code> distribution.</li>
-<li>The <a href="http://www.iata.org/ps/publications/9179.htm">Standard
+<li>The <a href="http://iata.org/ps/publications/SSIM.htm">Standard
 Schedules Information Manual</a> of the
-<a href="http://www.iata.org/index.htm">International Air Transport
+<a href="http://iata.org/index.htm">International Air Transport
 Association</a>
 gives current time zone rules for airports served by commercial aviation.</li>
 <li>Some Microsoft Windows versions contain time zone information in
@@ -350,11 +353,11 @@
 </ul>
 <h2>Time zone boundaries</h2>
 <ul>
-<li><a href="http://www.efele.net/maps/">A map of the TZ timezones in
+<li><a href="http://efele.net/maps/">A map of the TZ timezones in
 the US</a> contains a <a
 href="http://en.wikipedia.org/wiki/Shapefile">shapefile</a> of the
 <code>tz</code> regions in the US.</li>
-<li><a href="http://www.statoids.com/statoids.html">Administrative Divisions
+<li><a href="http://statoids.com/statoids.html">Administrative Divisions
 of Countries ("Statoids")</a> contains detailed lists of
 <code>tz</code>-related zone subdivision data.</li>
 <li><a href="http://home.tiscali.nl/~t876506/Multizones.html">Time
@@ -391,9 +394,9 @@
 <li><a href="http://webexhibits.org/daylightsaving/">About Daylight
 Saving Time - History, rationale, laws &amp; dates</a>
 is an overall history of <abbr>DST</abbr>.</li>
-<li><a href="http://www.energy.ca.gov/daylightsaving.html">Saving Time,
+<li><a href="http://energy.ca.gov/daylightsaving.html">Saving Time,
 Saving Energy</a> discusses a primary justification for <abbr>DST</abbr>.</li>
-<li><a href="http://www.seizethedaylight.com/dst/">Who Knew? A Brief
+<li><a href="http://seizethedaylight.com/dst/">Who Knew? A Brief
 History of Daylight Saving Time</a> summarizes some of the contentious
 history of <abbr>DST</abbr>.</li>
 <li><a href="http://toi.iriti.cnr.it/">The
@@ -404,7 +407,7 @@
 <li><a href="http://www.phys.uu.nl/~vgent/idl/idl.htm">A History of
 the International Date Line</a> tells the story of the most important
 time zone boundary.</li>
-<li><a href="http://www.statoids.com/tconcept.html">Basic Time
+<li><a href="http://statoids.com/tconcept.html">Basic Time
 Zone Concepts</a> discusses terminological issues behind time zones.</li>
 </ul>
 <h2>National histories of legal time</h2>
@@ -428,9 +431,7 @@
 <dd>The Institute for National Measurement Standards publishes current
 and some older information about <a
 href="http://inms-ienm.nrc-cnrc.gc.ca/time_services/daylight_saving_e.html">Time
-Zones &amp; Daylight Saving Time</a>.
-<a href="http://www3.sympatico.ca/c.walton/canada_dst.html">Canadian
-Daylight Saving Regulations</a> summarizes changes for 2007.</dd>
+Zones &amp; Daylight Saving Time</a>.</dd>
 <dt>Chile</dt>
 <dd>The Chilean Hydrographic and Oceanographic Service publishes a <a
 href="http://www.horaoficial.cl/horaof.htm" hreflang="es"> history of
@@ -441,7 +442,7 @@
 Legal Time in Germany</a>.</dd>
 <dt>Israel</dt>
 <dd>The Interior Ministry periodically issues <a
-href="ftp://ftp.cs.huji.ac.il/pub/tz/announcements/"
+href="ftp://ftp.cs.huji.ac.il/pub/tz/announcements"
 hreflang="he">announcements (in Hebrew)</a>.</dd>
 <dt>Mexico</dt>
 <dd>The Investigation and Analysis Service of the Mexican Library of
@@ -456,9 +457,9 @@
 covers the history of local time in the Netherlands from ancient times.</dd>
 <dt>New Zealand</dt>
 <dd>The Department of Internal Affairs maintains a brief history <a
-href="http://www.dia.govt.nz/diawebsite.nsf/wpg_URL/Resource-material-Information-We-Provide-About-Daylight-Saving">About
+href="http://dia.govt.nz/diawebsite.nsf/wpg_URL/Resource-material-Information-We-Provide-About-Daylight-Saving">About
 Daylight Saving</a>. The privately-maintained <a
-href="http://www.astrologyschool.com/nztime.html">History of New Zealand
+href="http://astrologyschool.com/nztime.html">History of New Zealand
 time</a> has more details.</dd>
 <dt>Norway</dt>
 <dd>The Norwegian Meteorological Institute lists
@@ -491,8 +492,9 @@
 discusses how to synchronize clocks of
 Internet hosts.</li>
 <li><a
-href="ftp://ftp.rfc-editor.org/in-notes/rfc4833.txt">A
-Timezone Option for <abbr title="Dynamic Host Configuration Protocol">DHCP</abbr></a>
+href="ftp://ftp.rfc-editor.org/in-notes/rfc4833.txt">Timezone
+Options for <abbr title="Dynamic Host Configuration Protocol">DHCP</abbr></a>
+(Internet <abbr>RFC</abbr> 4833)
 specifies a <a
 href="http://www.dhcp.org/">DHCP</a> option for a server to configure
 a client's time zone and daylight saving settings automatically.</li>
@@ -510,7 +512,7 @@
 <abbr title="Barycentric Dynamic Time">TDB</abbr>.
 <a href="http://www.ucolick.org/~sla/leapsecs/timescales.html">Time
 Scales</a> goes into more detail, particularly for historical variants.</li>
-<li>The <a href="http://www.iau.org/"><abbr
+<li>The <a href="http://iau.org/"><abbr
 title="International Astronomical Union">IAU</abbr></a>'s <a
 href="http://www.iau-sofa.rl.ac.uk/"><abbr
 title="Standards Of Fundamental Astronomy">SOFA</abbr></a>
@@ -519,7 +521,7 @@
 <abbr title="International Atomic Time">TAI</abbr>,
 <abbr>TDB</abbr>, <abbr>TDT</abbr> and
 <abbr>UTC</abbr>.</li>
-<li><a href="http://www.jpl.nasa.gov/basics/bsf2-3.htm">Basics of
+<li><a href="http://jpl.nasa.gov/basics/bsf2-3.htm">Basics of
 Space Flight - Reference Systems - Time Conventions</a>
 briefly explains interplanetary space flight timekeeping.</li>
 <li><a
@@ -529,7 +531,7 @@
 title="Mars Coordinated Time">MTC</abbr>) and the
 diverse local time
 scales used by each landed mission on Mars.</li>
-<li><a href="http://www.leapsecond.com/">LeapSecond.com</a> is
+<li><a href="http://leapsecond.com/">LeapSecond.com</a> is
 dedicated not only to leap seconds but to precise time and frequency
 in general. It covers the state of the art in amateur timekeeping, and
 how the art has progressed over the past few decades.</li>
@@ -543,15 +545,14 @@
 International Earth Rotation Service, the committee that decides
 when leap seconds occur.</li>
 <li>The <a
-href="http://www.mail-archive.com/leapsecs@rom.usno.navy.mil/">Leap
-Second Discussion List</a> and <a
-href="http://rom.usno.navy.mil/archives/leapsecs.html">archive</a> covers <a
+href="http://six.pairlist.net/mailman/listinfo/leapsecs">Leap
+Second Discussion List</a> covers <a
 href="http://gauss.gge.unb.ca/papers.pdf/gpsworld.november99.pdf">McCarthy
 and Klepczynski's proposal to discontinue leap seconds</a>,
 discussed further in
 <a href="http://www.cl.cam.ac.uk/~mgk25/time/metrologia-leapsecond.pdf">The
 leap second: its history and possible future</a>.
-The <a href="http://www.aas.org/policy/LeapSecondCommittee.html"><abbr
+The <a href="http://aas.org/policy/LeapSecondCommittee.html"><abbr
 title="American Astronomical Society">AAS</abbr> Leap Second
 Committee</a> has solicited input on this proposal.
 <a href="http://www.ucolick.org/~sla/leapsecs/">The
@@ -574,14 +575,15 @@
 Schema: Datatypes - dateTime</a> specifies a format inspired by
 <abbr>ISO</abbr> 8601 that is in common use in XML data.</li>
 <li>
-<a href="ftp://ftp.rfc-editor.org/in-notes/rfc2822.txt">Internet <abbr
-title="Request For Comments">RFC</abbr> 2822</a> &sect;3.3
+<a href="ftp://ftp.rfc-editor.org/in-notes/rfc2822.txt">Internet
+Message Format</a> (Internet <abbr>RFC</abbr> 2822) &sect;3.3
 specifies the time notation used in email and <a
 href="ftp://ftp.rfc-editor.org/in-notes/rfc2616.txt"><abbr>HTTP</abbr></a>
 headers.</li>
 <li>
-<a href="ftp://ftp.rfc-editor.org/in-notes/rfc3339.txt">Internet
-<abbr>RFC</abbr> 3339</a> specifies an <abbr>ISO</abbr> 8601
+<a href="ftp://ftp.rfc-editor.org/in-notes/rfc3339.txt">Date and Time
+on the Internet: Timestamps</a> (Internet <abbr>RFC</abbr> 3339)
+specifies an <abbr>ISO</abbr> 8601
 profile for use in new Internet
 protocols.</li>
 <li>
@@ -589,7 +591,7 @@
 Formats on the Web</a> surveys web- and Internet-oriented date and time
 formats.</li>
 <li>
-<a href="http://www.exit109.com/~ghealton/y2k/yrexamples.html">The
+<a href="http://exit109.com/~ghealton/y2k/yrexamples.html">The
 Best of Dates, the Worst of Dates</a> covers many problems encountered
 by software developers when handling dates and time stamps.</li>
 <li>The <a
@@ -599,7 +601,7 @@
 French translations for "Eastern European Summer Time", "<abbr
 title="Eastern European Summer Time">EEST</abbr>", and
 "Bucharest". <a
-href="http://www.unicode.org/cldr/data/charts/by_type/names.metazone.html">By-Type
+href="http://unicode.org/cldr/data/charts/by_type/names.metazone.html">By-Type
 Chart: names.metazone</a> shows these values for many locales.
 <abbr>ICU</abbr> contains a mechanism for using this data.</li>
 <li>Alphabetic time zone abbreviations should not be used as unique
@@ -632,11 +634,11 @@
 <h2>Related indexes</h2>
 <ul>
 <li><a href="tz-art.htm">Time and the Arts</a></li>
-<li><a href="http://dmoz.org/Reference/Time/">Open Directory -
+<li><a href="http://www.dmoz.org/Reference/Time/">Open Directory -
 Reference: Time</a></li>
 <li><a href="http://directory.google.com/Top/Reference/Time/">Google Directory
 - Reference &gt; Time</a></li>
-<li><a href="http://dir.yahoo.com/Science/Measurements_and_Units/Time/">Yahoo!
+<li><a href="http://dir.yahoo.com/Science/Measurements_and_Units/Time">Yahoo!
 Directory &gt; Science &gt; Measurements and Units &gt; Time</a></li>
 </ul>
 </body>

=== modified file 'elsie.nci.nih.gov/src/tzfile.5'
--- elsie.nci.nih.gov/src/tzfile.5	2006-05-06 04:40:46 +0000
+++ elsie.nci.nih.gov/src/tzfile.5	2008-01-01 00:57:49 +0000
@@ -57,7 +57,9 @@
 described in the file is associated with the same-indexed transition time.
 These values serve as indices into an array of
 .I ttinfo
-structures that appears next in the file;
+structures (with
+.I tzh_typecnt
+entries) that appears next in the file;
 these structures are defined as follows:
 .in +.5i
 .sp
@@ -138,13 +140,13 @@
 the above header and data is followed by a second header and data,
 identical in format except that
 eight bytes are used for each transition time or leap second time.
-After the second header and data comes a newline-encloded,
+After the second header and data comes a newline-enclosed,
 POSIX-TZ-environment-variable-style string for use in handling instants
 after the last transition time stored in the file
 (with nothing between the newlines if there is no POSIX representation for
 such instants).
 .SH SEE ALSO
 newctime(3)
-.\" @(#)tzfile.5	8.1
+.\" @(#)tzfile.5	8.2
 .\" This file is in the public domain, so clarified as of
 .\" 1996-06-05 by Arthur David Olson.

=== modified file 'elsie.nci.nih.gov/src/tzfile.5.txt'
--- elsie.nci.nih.gov/src/tzfile.5.txt	2006-05-06 04:40:46 +0000
+++ elsie.nci.nih.gov/src/tzfile.5.txt	2008-01-01 00:57:49 +0000
@@ -48,8 +48,8 @@
      of the different types of ``local time'' types described in
      the file is associated with the same-indexed transition
      time.  These values serve as indices into an array of ttinfo
-     structures that appears next in the file; these structures
-     are defined as follows:
+     structures (with tzh_typecnt entries) that appears next in
+     the file; these structures are defined as follows:
 
           struct ttinfo {
                long          tt_gmtoff;
@@ -96,7 +96,7 @@
      data is followed by a second header and data, identical in
      format except that eight bytes are used for each transition
      time or leap second time.  After the second header and data
-     comes a newline-encloded, POSIX-TZ-environment-variable-
+     comes a newline-enclosed, POSIX-TZ-environment-variable-
      style string for use in handling instants after the last
      transition time stored in the file (with nothing between the
      newlines if there is no POSIX representation for such

=== modified file 'elsie.nci.nih.gov/src/zic.c'
--- elsie.nci.nih.gov/src/zic.c	2007-12-04 04:21:08 +0000
+++ elsie.nci.nih.gov/src/zic.c	2008-01-01 00:57:49 +0000
@@ -3,7 +3,7 @@
 ** 2006-07-17 by Arthur David Olson.
 */
 
-static char	elsieid[] = "@(#)zic.c	8.16";
+static char	elsieid[] = "@(#)zic.c	8.17";
 
 #include "private.h"
 #include "locale.h"
@@ -160,10 +160,6 @@
 static void	writezone(const char * name, const char * string);
 static int	yearistype(int year, const char * type);
 
-#if !HAVE_STRERROR
-static char *	strerror(int);
-#endif /* !HAVE_STRERROR */
-
 static int		charcnt;
 static int		errors;
 static const char *	filename;
@@ -405,19 +401,6 @@
 ** Error handling.
 */
 
-#if !HAVE_STRERROR
-static char *
-strerror(errnum)
-int	errnum;
-{
-	extern char *	sys_errlist[];
-	extern int	sys_nerr;
-
-	return (errnum > 0 && errnum <= sys_nerr) ?
-		sys_errlist[errnum] : _("Unknown system error");
-}
-#endif /* !HAVE_STRERROR */
-
 static void
 eats(name, num, rname, rnum)
 const char * const	name;

=== modified file 'elsie.nci.nih.gov/src/zone.tab'
--- elsie.nci.nih.gov/src/zone.tab	2007-12-04 04:21:08 +0000
+++ elsie.nci.nih.gov/src/zone.tab	2008-01-01 00:57:49 +0000
@@ -1,4 +1,4 @@
-# @(#)zone.tab	8.12
+# @(#)zone.tab	8.13
 #
 # TZ zone descriptions
 #
@@ -341,8 +341,7 @@
 SG	+0117+10351	Asia/Singapore
 SH	-1555-00542	Atlantic/St_Helena
 SI	+4603+01431	Europe/Ljubljana
-SJ	+7800+01600	Arctic/Longyearbyen	Svalbard
-SJ	+7059-00805	Atlantic/Jan_Mayen	Jan Mayen
+SJ	+7800+01600	Arctic/Longyearbyen
 SK	+4809+01707	Europe/Bratislava
 SL	+0830-01315	Africa/Freetown
 SM	+4355+01228	Europe/San_Marino

=== modified file 'src/pytz/__init__.py'
--- src/pytz/__init__.py	2007-12-06 04:27:25 +0000
+++ src/pytz/__init__.py	2008-01-01 00:57:49 +0000
@@ -9,7 +9,7 @@
 '''
 
 # The Olson database has historically been updated about 4 times a year
-OLSON_VERSION = '2007j'
+OLSON_VERSION = '2007k'
 VERSION = OLSON_VERSION
 #VERSION = OLSON_VERSION + '.2'
 __version__ = OLSON_VERSION

=== modified file 'src/pytz/tests/test_tzinfo.py'
--- src/pytz/tests/test_tzinfo.py	2007-12-06 04:27:25 +0000
+++ src/pytz/tests/test_tzinfo.py	2008-01-01 00:57:49 +0000
@@ -15,7 +15,7 @@
 
 # I test for expected version to ensure the correct version of pytz is
 # actually being tested.
-EXPECTED_VERSION='2007j'
+EXPECTED_VERSION='2007k'
 
 fmt = '%Y-%m-%d %H:%M:%S %Z%z'
 

